# usecvs: Toggle if CVS source or tarball is used
# 	0 = tarball
#	1 = CVS
%define usecvs 0

%define name gtk-doc
%define version 0.7
%define release 1mdk

Summary: API documentation generation tool for GTK+ and GNOME
Name: 		%name
Version: 	%version
Release: 	%release
License: 	LGPL
Group: 		Development/Other
%if %usecvs
Source:		%{name}-cvs.tar.bz2
%else
# tar.gz downloadable from ftp://ftp.gtk.org/pub/gtk/v1.1/docs/rdp/
Source:		%{name}-%{version}.tar.bz2
%endif
#Patch:		%name-pubid.patch.bz2
Patch1:		%{name}-cvsfix-20010815.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-buidroot
URL: 		http://www.gtk.org/rdp
BuildPrereq: 	docbook-utils jade
Requires: 	docbook-utils jade
Requires: 	docbook-style-dsssl >= 1.62
BuildArch: 	noarch

%description
gtk-doc is a tool for generating API reference documentation.
it is used for generating the documentation for GTK+, GLib
and GNOME.

%prep
%if %usecvs
%setup -q -n %{name}
./autogen.sh
rm -f config.cache
%else
%setup -q
%endif

#%patch -p1 -b .pubid
# Replaced several "\n"s with "\\n"s
%patch1 -p1 -b .scanobj

# Move this doc file to avoid name collisions
mv doc/README doc/README.docs

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS README doc/* examples
%{_bindir}/*
%{_datadir}/gtk-doc/

%changelog
* Tue Sep 11 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- updated by Abel Cheung <maddog@linux.org.hk> :
	- 0.7
	- Don't hardcode dsssl version
	- Fix wrong configure option
	- Pubid patch commented out (merged upstream)
	- Patch1: CVS fix at 2001-08-15
	- Requires: dsssl-stylesheets -> docbook-style-dsssl
	- Move BuildArch to bottom of global section, otherwise
	  problematic with older versions of rpm
	- Use usecvs variable to toggle between using CVS or tarball

* Wed Jul 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4b1-2mdk
- rebuild

* Fri Mar 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4b1-1mdk
- added by eric.m.c.declerck@free.fr

* Wed Feb 28 2001 eric.m.c.declerck@free.fr
- compiled for Mandrake

* Tue Jan 16 2001 Tim Waugh <twaugh@redhat.com>
- Replace docbook, sgml-common, and stylesheets requirements with
  docbook-utils requirement.
- Use public identifier in custom stylesheets.

* Thu Dec 14 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Mon Nov 13 2000 Owen Taylor <otaylor@redhat.com>
- Version 0.4b1 (CVS snapshot)

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- added Requires

* Fri Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- Initial RPM, version 0.2

